Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class JikesOutputParser

    java.lang.Object
      |
      +--org.apache.tools.ant.taskdefs.JikesOutputParser

All Implemented Interfaces:
  ExecuteStreamHandler

Deprecated. use Jikes' exit value to detect compilation failure.

public class JikesOutputParser
extends java.lang.Object
implements ExecuteStreamHandler

Parses output from jikes and passes errors and warnings into the right logging channels of Project. TODO: Parsing could be much better

Author:
  skanthak@muehlheim.de

Field Summary
`protected java.io.BufferedReader` | `br` Deprecated.
`protected boolean` | `emacsMode` Deprecated.
`protected boolean` | `error` Deprecated.
`protected boolean` | `errorFlag` Deprecated.
`protected int` | `errors` Deprecated.
`protected Task` | `task` Deprecated.
`protected int` | `warnings` Deprecated.

Constructor Summary
`protected` | `JikesOutputParser(Task task, boolean emacsMode)` Deprecated. Construct a new Parser object

Method Summary
`protected boolean` | `getErrorFlag()` Deprecated. Indicate if there were errors during the compile
`protected void` | `parseOutput(java.io.BufferedReader reader)` Deprecated. Parse the output of a jikes compiler
`void` | `setProcessErrorStream(java.io.InputStream is)` Deprecated. Ignore.
`void` | `setProcessInputStream(java.io.OutputStream os)` Deprecated. Ignore.
`void` | `setProcessOutputStream(java.io.InputStream is)` Deprecated. Set the inputstream
`void` | `start()` Deprecated. Invokes parseOutput.
`void` | `stop()` Deprecated. Ignore.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### task

    protected Task task

  Deprecated.

### errorFlag

    protected boolean errorFlag

  Deprecated.

### errors

    protected int errors

  Deprecated.

### warnings

    protected int warnings

  Deprecated.

### error

    protected boolean error

  Deprecated.

### emacsMode

    protected boolean emacsMode

  Deprecated.

### br

    protected java.io.BufferedReader br

  Deprecated.

Constructor Detail

### JikesOutputParser

    protected JikesOutputParser(Task task,
                                boolean emacsMode)

  Deprecated.
  Construct a new Parser object
  Parameters:
    `task` - - task in whichs context we are called

Method Detail

### setProcessInputStream

    public void setProcessInputStream(java.io.OutputStream os)

  Deprecated.
  Ignore.
  Specified by:
    `setProcessInputStream` in interface `ExecuteStreamHandler`
  Following copied from interface: `org.apache.tools.ant.taskdefs.ExecuteStreamHandler`
  Parameters:
    `os` - output stream to write to the standard input stream of the subprocess

### setProcessErrorStream

    public void setProcessErrorStream(java.io.InputStream is)

  Deprecated.
  Ignore.
  Specified by:
    `setProcessErrorStream` in interface `ExecuteStreamHandler`
  Following copied from interface: `org.apache.tools.ant.taskdefs.ExecuteStreamHandler`
  Parameters:
    `is` - input stream to read from the error stream from the subprocess

### setProcessOutputStream

    public void setProcessOutputStream(java.io.InputStream is)
                                throws java.io.IOException

  Deprecated.
  Set the inputstream
  Specified by:
    `setProcessOutputStream` in interface `ExecuteStreamHandler`
  Following copied from interface: `org.apache.tools.ant.taskdefs.ExecuteStreamHandler`
  Parameters:
    `is` - input stream to read from the error stream from the subprocess

### start

    public void start()
               throws java.io.IOException

  Deprecated.
  Invokes parseOutput.
  Specified by:
    `start` in interface `ExecuteStreamHandler`

### stop

    public void stop()

  Deprecated.
  Ignore.
  Specified by:
    `stop` in interface `ExecuteStreamHandler`

### parseOutput

    protected void parseOutput(java.io.BufferedReader reader)
                        throws java.io.IOException

  Deprecated.
  Parse the output of a jikes compiler
  Parameters:
    `reader` - - Reader used to read jikes's output

### getErrorFlag

    protected boolean getErrorFlag()

  Deprecated.
  Indicate if there were errors during the compile
  Returns:
    if errors ocured

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.